Bug 174692 - fonts-xorg-* can't be uninstalled after new xorg-x11 packages installed
fonts-xorg-* can't be uninstalled after new xorg-x11 packages installed
Product: Fedora
Classification: Fedora
Component: xorg-x11-font-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
Reported: 2005-12-01 09:57 EST by Jonathan Kamens
Modified: 2013-01-10 08:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 16:26:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2005-12-01 09:57:17 EST
The post-uninstall scripts in the old fonts-xorg-* packages 
call /usr/X11R6/bin/mkfontdir, which no longer exists after the new xorg-x11 
packages have been installed.  This means that the uninstallation fails, i.e., 
there's no way short of running "rpm -e --force fonts-xorg-<whatever>" to get 
rid of these packages.

I think the only way to do this upgrade cleanly is to include 
a /usr/X11R6/bin/mkfontdir symlinnk in the new xorg-x11 packages, pointing at 
the new location of mkfontdir, and then to remove this symlink in a subsequent 
upgrade somewhere down the line.
Comment 1 Mike A. Harris 2006-01-31 20:37:07 EST
Yeah, I can't think of another foolproof way to handle this other than
a symlink.  Kindof an unfortunate situation to say the least.  Even if
we do put in a symlink, I'm not totally sure that it will solve the
problem, depending on package installation ordering.

I think we'll end up putting the symlink in anyway however, perhaps for
backward compatibility for a few releases or something.
Comment 2 Mike A. Harris 2006-02-21 06:01:06 EST
* Fri Feb 17 2006 Mike A. Harris <mharris@redhat.com> 1:1.0.1-2
- Added with_X11R6_compat macro to conditionalize inclusion of mkfontdir and
  mkfontscale symlinks in the old X11R6 locations, pointing to the X11R7
  binaries.  This will provide backward compatibilty for Fedora Core 5, however
  3rd party developers and rpm package maintainers should update to using the
  new X11R7 locations immediately, as these compatibility links are temporary,
  and will be removed from a future OS release.
- Remove system directories from file manifest to appease the banshees.

Fix committed to CVS and built in dist-fc5-HEAD.  Currently awaiting
RELENG approval to be moved to dist-fc5.
Comment 3 Mike A. Harris 2006-02-21 16:26:38 EST
Approved and in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.